function stworzCiastko(nazwa, wartosc, waznosc){
	var wygasa = "";
	
	if(waznosc){
		var data = new Date();
		data.setTime(data.getTime() + (1000 * 60 * 60 * 24 * waznosc));
		wygasa = "; expires=" + data.toGMTString();
	}

	document.cookie = nazwa + "=" + wartosc + wygasa;
}

function pobierzCiastko(nazwa){
	var ciastka = document.cookie;
	if(ciastka != ""){
		ciastka = ciastka.split("; ");
		for(var i in ciastka){
			var cnazwa = ciastka[i].split("=")[0];
			if(cnazwa == nazwa){
				var wartosc = ciastka[i].split("=")[1];
				return unescape(wartosc);
			}
		}
	}
}

window.onload = function(){
	var nazwaCiastka = "niezapominajka";
	var wartosc = "test";
	var waznosc = 6;

	stworzCiastko(nazwaCiastka, wartosc, waznosc);
	alert(pobierzCiastko(nazwaCiastka));
}